module SkirentalWebFrontend
    class ApplicationController < ActionController::Base
        protect_from_forgery with: :exception

        private
        def locale_from_path
            elements = request.path.split("/")
            if elements.count > 1
                first_element = elements[1]
                if first_element.length == 2
                    return first_element
                end
            end
            return nil
        end

        def locale_from_browser
            if ( request.env['HTTP_ACCEPT_LANGUAGE'].nil? )
                return I18n.default_locale
            end
            request.env['HTTP_ACCEPT_LANGUAGE'].scan(/^[a-z]{2}/).first
        end
    end
end
